function argsout=RunSilent(varargin)
    %runs SilentGFtbox having ensured that paths to the DArT_Toolbox 
    %are present.
    a=which('GFtboxCommand')
    if isempty(a) %~which('SilentGFtbox')
        disp('>>>>>> COULD NOT FIND TOOLSHED SO ADD IT TO PATH ')
        pathnames=fullfile(pwd,'DArT_Toolshed');
        addpath(genpath(pathnames));
%         if savepath('startup.m')~=0
%             disp('path not saved');
%         else
%             disp('path saved in startup.m');
%         end
    end
    disp('Starting GFtboxCommand');
    GFtboxCommand(varargin{:});
end